[Solved] How to install Kodi 16.1 in Stretch?

Everything about X, Gnome, KDE, ... and everything running on it

[Solved] How to install Kodi 16.1 in Stretch?

Postby bester69 » 2017-02-22 05:34

Hi,
How can i properly install kodi 16 in debian stretch?, I'd like not breaking debian

I Had to go to ubuntu's packages and install following packages:
- kodi, kodi-data, kodi-bin
- libcrossguid0
- libglew1.13
- libmicrohttpd10
- libmysqlclient20
------

is there any kind of snap/flatpak/.. kodi repository available?
Last edited by bester69 on 2017-02-22 20:27, edited 1 time in total.
User avatar
bester69
 
Posts: 815
Joined: 2015-04-02 13:15

Re: How to install Kodi 16.1 in Stretch?

Postby jjgomera » 2017-02-22 13:17

What's bad with the v.17 available in repo?
jjgomera
 
Posts: 9
Joined: 2013-02-05 18:05

Re: How to install Kodi 16.1 in Stretch?

Postby dasein » 2017-02-22 14:33

bester69 wrote:I'd like not breaking debian

Image
User avatar
dasein
 
Posts: 7507
Joined: 2011-03-04 01:06
Location: Terra Incantationum

Re: How to install Kodi 16.1 in Stretch?

Postby bester69 » 2017-02-22 15:45

jjgomera wrote:What's bad with the v.17 available in repo?

You're right, At first I didnt like it the new aspect kodi 17, but then i realise i could change it to the before kodi 16's skin and look like the same. So im glad i can keep the same interface in the new version (i was lost and very unconfortable with new interface). by the way, i had the delete "Database directory" so it could work the migration, then i had to activate manually all addons again.

for now, i will keep ubuntu's kodi v16.1 for a litle while more, as i feel kodi 17 might be not so stable yet.
User avatar
bester69
 
Posts: 815
Joined: 2015-04-02 13:15

Re: How to install Kodi 16.1 in Stretch?

Postby stevepusser » 2017-02-22 19:42

Packages that have been replaced in Debian can always still be found at snapshot.debian.org, kodi 16.1 for Stretch for example:

http://snapshot.debian.org/package/kodi/16.1%2Bdfsg1-2/
The MX Linux repositories: Backports galore! If we don't have something, just ask and we'll try--we like challenges. New packages: AzPainter 2.0.6, Pale Moon 27.3.0, Liquorix kernel 4.11-9, mpv 0.25.0, Kodi 17.3, Ksnip 1.3.1, Mesa 13.0.6
User avatar
stevepusser
 
Posts: 8344
Joined: 2009-10-06 05:53

Re: How to install Kodi 16.1 in Stretch?

Postby bester69 » 2017-02-22 20:27

stevepusser wrote:Packages that have been replaced in Debian can always still be found at snapshot.debian.org, kodi 16.1 for Stretch for example:

http://snapshot.debian.org/package/kodi/16.1%2Bdfsg1-2/


Good,i forgot to take a look at snapshot, Thanks Steve. :o
User avatar
bester69
 
Posts: 815
Joined: 2015-04-02 13:15

Re: [Solved] How to install Kodi 16.1 in Stretch?

Postby bester69 » 2017-03-02 19:30

I went back to this, SOLUTION

I Had to go to ubuntu's packages and install following packages:
- kodi, kodi-data, kodi-bin
- libcrossguid0
- libglew1.13
- libmicrohttpd10
- libmysqlclient20


I can't use "snaphot-debian"''s packages, it breaks stretch, too many packages dependecies imcompatible, with ubuntu it's just a few packages and works perfect
User avatar
bester69
 
Posts: 815
Joined: 2015-04-02 13:15

Re: [Solved] How to install Kodi 16.1 in Stretch?

Postby jmgibson1981 » 2017-03-19 03:23

bester69 wrote:Hi,
How can i properly install kodi 16 in debian stretch?, I'd like not breaking debian

I Had to go to ubuntu's packages and install following packages:
- kodi, kodi-data, kodi-bin
- libcrossguid0
- libglew1.13
- libmicrohttpd10
- libmysqlclient20
------

is there any kind of snap/flatpak/.. kodi repository available?


Kind of missed the mark there.
jmgibson1981
 
Posts: 31
Joined: 2015-06-07 14:38


Return to Desktop & Multimedia

Who is online

Users browsing this forum: No registered users and 1 guest

fashionable